%define name	ulog-php
%define version	1.0.1
%define release	2mdk
%define webadminroot /var/www/html/admin

Summary:	PHP interface to the ulogd-mysql plugin
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://www.inl.fr/download/%{name}-%{version}.tar.bz2
License:	GPL
Url:		http://www.inl.fr/article.php3?id_article=7
Group:		System/Servers
Requires:	apache2
Requires:	mod_php
Requires:	ulogd-mysql
Requires:	php-common
BuildArch:	noarch
Prefix:		%{webadminroot}
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
PHP interface to the ulogd-mysql plugin

%prep

%setup -q

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{webadminroot}/%{name}/include

install -m0644 *.php %{buildroot}%{webadminroot}/%{name}/
install -m0644 *.css %{buildroot}%{webadminroot}/%{name}/
install -m0644 include/* %{buildroot}%{webadminroot}/%{name}/include/
install -m0644 include/.htaccess %{buildroot}%{webadminroot}/%{name}/include/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changelog ulog.perms ulogd.mysqldump
# god damn rpm that changes every week..., when did this stop working???
#%exclude %{webadminroot}/%{name}/include/require.inc
%{webadminroot}/%{name}
%config(noreplace) %attr(0644,root,root) %{webadminroot}/%{name}/include/require.inc

%changelog
* Sat Apr 30 2005 Marcel Pol <mpol@mandriva.org> 1.0.1-2mdk
- update filelist

* Fri Apr 29 2005 Marcel Pol <mpol@mandriva.org> 1.0.1-1mdk
- 1.0.1
- don't require mysqlserver

* Fri Aug 28 2004 Franck Villaume <fvill@freesurf.fr> 0.8.2-1mdk
- 0.8.2

* Thu Aug 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.7-1mdk
- initial cooker contrib
